portal = context.getPortalObject()
person = portal.portal_membership.getAuthenticatedMember().getUserValue()

request = context.REQUEST

person.requestSupport(
  support_request_title=title,
  support_request_description=description,
  support_request_resource=resource,
  support_request_aggregate=context.getRelativeUrl(),
  project_reference=context.getFollowUpReference(),
)
support_relative_url = request.get('support_request_relative_url')

return context.restrictedTraverse(support_relative_url).Base_redirect()
